Bug 1126033 - Puppet environment cannot be edited when name is only numeric
Summary: Puppet environment cannot be edited when name is only numeric
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
low
medium vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 16:18 UTC by Kedar Bidarkar
Modified: 2017-02-23 21:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:12:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6890 None None None 2016-04-22 15:35:23 UTC
Red Hat Bugzilla 1126473 None None None Never

Internal Links: 1126473

Description Kedar Bidarkar 2014-08-01 16:18:24 UTC
Description of problem:

Puppet-environment allows creation of names with numeric values, but fails to edit. 

The UI states that "only alhanumeric and no spaces".

tail -f /var/log/foreman/production.log

Processing by EnvironmentsController#edit as */*
  Parameters: {"id"=>"454981231"}
  Rendered common/404.html.erb within layouts/application (1.9ms)
  Rendered layouts/base.html.erb (2.2ms)
Completed 404 Not Found in 46ms (Views: 7.8ms | ActiveRecord: 3.9ms)


Version-Release number of selected component (if applicable):
Sat6-GA-snap3

How reproducible:
when using numeric values for puppet-environment.

Steps to Reproduce:
1.
2.
3.

Actual results:
Fails to edit an puppet-environment when it's a numeric value.

Expected results:
From the UI message it looks like only alphanumeric values are allowed.

Additional info:

Comment 1 Dominic Cleal 2014-08-01 16:23:00 UTC
Created redmine issue http://projects.theforeman.org/issues/6890 from this bug

Comment 3 Bryan Kearney 2014-11-10 09:03:08 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6890 has been closed

Comment 6 Kedar Bidarkar 2015-03-09 13:07:25 UTC
VERIFIED with sat6.1 Beta snap5 

puppet-environment can now be edited when name is only numeric.

Comment 7 Bryan Kearney 2015-08-11 13:30:34 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:12:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.